## leo 6.8.4b1

=== requirements.txt ===
#@+leo-ver=5-thin
#@+node:ekr.20240201175949.1: * @file ../../requirements.txt
# leo-editor/requirements.txt.

# The dependencies here should match those in pyproject.toml.

#@+<< requirements.txt: dependencies >>
#@+node:ekr.20241022091142.1: ** << requirements.txt: dependencies >>
# Warning: these dependencies should match those in pyproject.toml.

# For build devs.
build>=1.2.1
twine>=5.1.0
setuptools>=80.4.0

# For mypy.
mypy
mypy-extensions
typing_extensions
types-docutils
types-Markdown
types-paramiko
types-PyYAML
types-requests
types-six

# For testing.
asttokens       # For unit tests.
beautifulsoup4  # For link testing.
black           # For unit tests.
flake8
pylint
pyflakes
pytest
pytest-cov      # For coverage testing.
ruff

# General packages for plugins and commands...

docutils        # For Sphinx and rST plugins.
flexx           # leoflexx.py plugin.
jedi            # For autocompletion.
jupytext        # For paired .ipynb/.py files.
markdown        # VR3 plugin.
matplotlib      # VR3 plugin.
# meta          # livecode.py plugin.
numpy           # VR3 plugin.
pyenchant       # The spell tab.
sphinx          # For documentation.
tk              # tkinter, for emergency dialogs.
urllib3

# Gui packages...

PyQt6>= 6.6
PyQt6-QScintilla
PyQt6-WebEngine
Send2Trash; platform_system=="Windows"      # picture_viewer plugin.

# cursesGui2 plugin.
# The windows-curses package has been updated for Python 3.13.
# windows-curses[curses]; platform_system=="Windows" ; python_version < "3.14"
#@-<< requirements.txt: dependencies >>

#@@language python
#@@nosearch

#@-leo

## leo 1.0-5

=== debian/changelog ===
leo (1.0-5) unstable; urgency=low

  First release

 -- George Ruinelli <george@ruinelli.ch>  Sun, 12 Dec 2010 16:42:38  +0100

=== debian/control ===
Source: leo
Section: user/utilities
Priority: extra
Maintainer: George Ruinelli <george@ruinelli.ch>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: leo
Architecture: any
Depends: python2.5, python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, libqt4-webkit, python2.5-qt4-webkit
Description: Leo is a web interface application for the free online dictionary service on dict.leo.org.
 The free online dictionary service on dict.leo.org currently provides the a translation service for the following languages:
 - German <> English
 - German <> French
 - German <> Spanish
 - German <> Chinese
 - German <> Russian
XSBC-Bugtracker: mailto:george@ruinelli.ch
XSBC-Maemo-Display-Name: Leo
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACgAAAAoCAYAAACM/rhtAAAABGdBTUEAALGP
 C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAAL
 EwAACxMBAJqcGAAAAAl2cEFnAAAAKAAAACgAo3CU+AAAEFhJREFUWMO9mHl0
 VFW2h79zb1XmmVRIQkKSykgISYAAEqbEAQERDNDigDSigC1NK9Ki8kTodkAU
 BVuRBlREF4goCDIYZtJgQLCZghBIyEBCCAkJqcxD1d3vj7KleWJD//P2Wnfd
 W2etOvc7e5+99+9cuIldqT6DUhp9+6VlBgQE5EVH+UuM1a8lONhyMi2tZxbA
 +vWf8v9h+s0Gr12rZ8DAdM/Dhw4vGTH42oBXZ7Yy9t42U9mlls6n8g3XLVs+
 23Dw4CFj53ebeWPBO7z0wrOuycndfcaMHWXfsyfH6N//jpCwLl0sDz30QGNC
 Qpxx/ETeL3P369eLuDirm6enT8+Y2GjPsotnrqWkJvLll9/cPnXGkAGkpfWP
 io70uvjjt0hHgSat53T59G1NQoItW5cvW2oeNCidkSOHekdZYyZ0Cgj81hIY
 cNzf37LWz8/yVmAnn+OdLd6l4eFRLz/x5JPe4373IACTJ09gzpyZrqGhXRZY
 Aj1slkC/sz169BgIsHfvjpuymG426OrqTlu70a5rWpuuK/bkKn46D+m9wM/H
 Yck9ctqro8OIOHz4xHyLX93wh8bbXaIj4EwBqQ4D+iQL7u6K1Rva5+3bvS3S
 3du6+Imps84fyNnS4ebmOcCkXZu+ZH6r95mCNp+Pvrr0Xr9+/cbOfn52yW0D
 xsZGo5u9a75ad7zwQqmKqasXvtmhuHcwBPo2Je3auX1xa3PtgGGDWmJeeMog
 KR7a26GmDrw9wcPDOc/AtA7T9n3VkzfvbrxvT3bBzuY2j532DlvWqMx275Ag
 xeC+cL64vteO3NJJNVcr569YsYSpU5+99R6c/cKfmPXcbLu7h3/CleqWwQ/e
 Bz0SwBoOuccM88mfGlKfn9Ie8JeZYAlQfP2dYsEyxeZdEG9VhHYWRBS7Dyry
 8lGZ/Tq8kuNbU0x6w+ghfZoSA/1RqzfAuOHQ0irsOqDax44b9dXpvNOOc+cv
 3Bpw/fpNdOoUgL+/r9/xvPoxR0+J/sBQoXucABoD0oQ/TBDc3WDFF4o1m+Dh
 UcKkcRATBUoJSoFSirx8YfMuhdkMC190aMMzRIkohmVA2WV4b5VGY6tvdu73
 27du27aTvLyztw4xgIhQXdN4NTZC2gemYa6uBcOA0UMdKECA1jZFda2QNdyV
 wEAPdL0Os9mBCAhCgJ9BRroPKYkO3FyaMZsBJfTvJfx9jeLDNa41bY6AdUlJ
 0W9Ex/SWCxdKWLNW3cCh3Qzu4UfGUVNTi6uLOTOzv3i+9ZLByLsMHIYgAoaA
 CLiYhT49/YnosZiwnns4eG4ypeU6ugY2G2w7lIFf7BaCun2OXYvBpAuaBifO
 Cu9/5lHp6Rs3ft7LM2cmxMdVFBWVopTiljZm7P102AtUeHjUI3FW9+qcdbp0
 FCppOccNV+t5pPqfyKql46WltV1ERHbs2C6fLPIX+wVk/zp32bf3WxERaWhs
 lAV//b3k70HaC5HCHCWD+3pei4tP6p+QEPsfeW7w4NKl77JxwxZSkrN+56Jd
 WfLqc22BfZLhSrXCMH69uvZ20F0DcXM1c/bsaZ555jkKiupRCpraXPH1CwZg
 yeJF/H3FelranHuja6iiT3KrX72tbkx+fgFFRXm3B7hu3dcMHjIk7FpN+Suz
 nmyzjLpb8d6n8OJCRUsr/HsERMDHGxxNR6moqKSpqYnGhip6JhoAhAU1UJif
 g8MQLpVfJtTSQrDFOcHFCvj+n3qTpmlnADTtN1PhxiRpamrG1c0rxtOjLWpI
 P+GLzYq1m2HBbPDydEL9u7m4QP+kf/Ld14+huSYw52mduwdChx1iIhxcrFzE
 mo9LiQ4vY+wgnQBfBwrFhu2KglLvn0aMSN9oSD8iI7v9JuANcRs44A5MZtfQ
 c/mnNvfqVp9WVQMvz4ARmQZ2h/z6z8o5QWMTNDVDQACY9OsLEYGaWjCbwM/P
 +VvXFGs3KWYv9KgJ7hLz8KmTJ3at/HQpUyZNv3WIH3kki/37cyoCLSHzdhww
 X7srXRg6CIpKNez2G/egCFRUarS1K7y8IMgCunajl5UCS+B1OADDEMaNEKZP
 aOlUVXlxcUZmRtrC1xZTWnns1h4E+P3E8aSkJLksePP9dWOH1mS5mJ3eeXeu
 gYvL9bdrCt5frVF6CZ57AsKCwW4Y3I4pBS0tGn9+XbFlf+DuYcPuerCqqqrD
 ZrOlent7le/cua/k0MFt9B943687yT333M3MWTPURys/G33oaEOSpsGzk4Wo
 cBAUmtIQUShNCPRTfPiZ4sttitAgRWT4zyG+DUgXFyG5G+T+2N4l90hFUGVl
 5WNVVdXP1NXZMnunpez5bsdeW1nZpRsB5859nj89M0Xr3StzWkTwlamzptjd
 /uePkBAtGCIoFNn7NbbuVfTuIQR1gn6pipwfFB9+DuWVkJoIvt4KXSkMuXnh
 1TUFogjwg6ZmMW38rqm3h4d7mdUaMd3b2+u4t5dngaZUa3HxxRsBa2tq2bhx
 a0JRUdmygb1bg599QgjwB4ch6BocPq4xY56iRzykp4HdDmEhMGwQ+HgLDY2Q
 mqiob9A4dEwRGebMdE2BpjkvlOLHkxrVtWA2w5sfatTaBF03dfj4BK5qbm7O
 PXz4x9bi4ovOxfwLbvz48WTcebfLvr375/t62O4uuQQ5hxQp3RRBnUBTihVf
 aDgcsOhlKCxWzF6gKL+saG0XosMhMx2iI4SiUsWMeVB2WWEYUH4ZSi8pissU
 W3drLP4EMvopDAccOamx5BVFY5M98OhJh1FSUpxdU1PBkSPHrgNOm/o4j03I
 0l97/d2piZFXnl/+ht08fqTixBmwO6BvilOdFJYodh6EnokQ2UVx8Ef4eruw
 fT9s3QNHTih6J0FyN4W3l+Kt5cLnGw3Wb4cvtsCaTXDirGLeM4p4Kxw/rRie
 CTGRwtlCOHCUomt1FdkREZHSq3eqcfBALqxc+T4AMTFxT3aPd7cd2axJR6GS
 9gIldaeUVB9T0nHB2UMv/aDJ78foYg3X5c9TdDm8UZeC/Zrk71Vyeidyfh9i
 y1PSeg5pydfk00W6WLtqAkoACQnS5Mv3dbEXanLwKyWxkbqEdtYkLkpJgC/i
 4uJSGRjYKddqjZwOMHToEPTBg/uza9c+PDx97gvyqxv25HinzgPBbNK4fMUp
 PE0mRUQX4c50oWso7DygWL0BzhaApim6hiqiwhVmkzizWEFKN6F3D8W+Qxqg
 WDwXxo4AwzDobIGMOxRxkRDgp7hQqmi3e5xUSq3t1Mn/eFXV1bKMIQOcdTA9
 vS8+Pr4RR48c3Tx2aH3Ku3Oh1iasWq+xcQfYGiA8RLFigUFMpIBAQxP8cELx
 7W44eQYamxVDBymem2JgCTBwGP8qtIqJMzUuV8PWjwU3N2dFANB10JXGt7sV
 Lyz0vGRooQ+1d7QcLCku+UV66QBxcVZCQoO1woLCoT8VtMU2tTiV7vlimDVF
 +NMkxa4Diu/240yaQMHVFawRzk4zZpgiLgo+Xg/H8hTRkWDWFR12xfkixcp1
 ivJKiApX+HoLDoeirR2u2RRfb9dYuMLrspginsnP/ynbZqsiM/Pu66Xl2ZlP
 ARAe3vWVaY+ajceyNPH00GTmZF3KcnWxX1DSUaDk+DZdhg7SJSFal5dn6PLD
 Jk2qjytpPY90FCIdhUpObdcka6gusZGa9EnWpH8vXWIjdXlklEmeetQkXTrr
 Em/VpFd3Jb2TNIm3ahIY4HkuLj7xHhFRy5e/96uaaYqOjnI+mE22CyXKaGtX
 +sLZMHk87M2F88UaA/sYJMY5+HyxYstujS+3wldbFZZOkBirGH2PIuMOoVuc
 sOJNyMuH6hrosAuuLjC4L3i4waOjhQsXoaFRcfQUfLPLozwoqPNT58+d2ff0
 HyexbOnqm7edsVn388TjE3z9/ILW9+yuS9WPmqxdosuA3rp8/7UmbQXqFxXd
 Uaik9qSSA+s1WfpXZ1ZHhesy52ldrh5zVgD7BcQoQuyFSs7s0qXskPbLmFGM
 tBco+ctMt8bo6JjHAFYsX/ybLVEHeHr6FF5/4522rl3DOzc32UbU1gnrtsAL
 T0HGHdc3tVKK5mZFY5Mi3ir0SRGGZ0B0V1ixVnH4hCI8BFxdnEX5g9WK+Uuc
 rdBsUlTXKpqb4eQZjY+/9ltniRz/ZlpqZ8fChe/9JqDa9M0XPJD1MKmpKaNK
 S4qXuehNoXFWmP0UDB1k3ADX0KB4caHC1RUWvujAZHJmqa7ByXzFvMUaRaVC
 Z4tQVw8mXTH9MaeC3pAtXLnqbHsuLrrdUEG/q69v3GSrt/1HUWF69fU3ASgq
 Kh756KjG0D9MgLDO4O0FduNGebUxW1FUBm+/JJjNTtl0LE9x+hxMHCusXmRQ
 Uu48jLu6Qpcg6GxRGIYwcaxz/+3N1fhkPbrohNjqbUyd9jgrlq/67RD3Te/H
 uTPnCO7sOWrWE629EqzC1r0aLi4Q6P9zvdLAMBQmTTF+pBBrNRBx9ueVXyiy
 c2DscPDwEIItQlgoBFvA3U2Rc1hhd0BUOESGQeYdEBuJ+vFkR4rZPbxi7569
 Z67Zavnh8JGbAmpzXnkJAP8AS1FBicact80t0+d7XnztA81oaVW0tGqcu6DR
 3qFITnQQFmJgGNcPUImxcNcAhYtZIQIOAxwO510p4WgePP684tRZDXuHRkm5
 4t5BwlsvtIb5eVT9LaFb0si/LXmf7OzNN/fgR8s+JiEhDjd3L7e939ePK60I
 WGmNSZqRX3AtPjGmPSbQTzFtjqKmTtEvVSE4v7vU1GroOnSPE/qmCibd6WUR
 J7ymOe9xVigtV9gaIC0ZPvwcdn+vmJAFnh4dnjv2t3dPTum5PWf/fltZecXN
 s3jw4HQ83N3rW1r1ui5dI5aVlpSU6qZODTW1tgfGDreb6hoU730Cg/pCRBh8
 k614Z6Uio7/g5elMhkuVig9Wa1jDFQG+ih+OK1Zv0EhNhNH3CEkJgrurUHkV
 5r6raGlVpHSDnf8Qj5Y2l02trc3lNTXXfp0kABs2fAtwFVgEMCZrJB0Ol38c
 Ol5xNDunfVBUOFypgeVrncLg1fcVE7PkF51YUqaY+apGWLAQbFFk5wh/nKfo
 5AdTHgJdF9xcwRBFUanC0yvwyPpsvWLNt1fvb7e7nU+KDip2OOz83y9bv2lv
 vTkfgLi4hDE9k7yv9uxuEm9vn3Ndw/yLrF116Z30c/Et1OTMLk3u7K9LvFWX
 kgOa5KzTpFusW5V/QNBn8XGhXz0/zbWp/LASxwUlZbmaZKa7V0Rau6fdf/9o
 r65dIyb27dtrIMBHKz+4Pbh/2VPTJvHl2g+1Hsmpw8PCI14bMrh/XEbmkN5u
 7r4nHrxPk/YCJXnZmoy8y72qU2DwkuTEgH1zZ5jkzgGe1yKjYieLiHpk4izX
 aGvka1n3urZu+0STuTNMEmMN/yh7V44+efKj/x3QrezI0VwAuiclj0hJ9KxZ
 vUiTYUPcGiIjo6cC9E7rExUS0uWlmNi4YYvemW96btbTpKb2YsyYMe7BIV1m
 hAb75IV09t/Rq1fPBF8fP0Ru5+z3X9q0aZPYsGGVHhcXMzcqwtKYkBD/9vQZ
 f3C9f/R9v71d3n2dj1Yt1fqnDwweOCgjAGDp4gW3/c7/BcLRFBEirOnKAAAA
 EnRFWHRDb21tZW50AEFwcGxlTWFyawokq7OcAAAAJXRFWHRkYXRlOmNyZWF0
 ZQAyMDEwLTEyLTEyVDE1OjIwOjAyKzAxOjAwnMMRsAAAACV0RVh0ZGF0ZTpt
 b2RpZnkAMjAxMC0xMi0xMlQxNToxOTowOSswMTowMIpusD0AAAAASUVORK5C
 YII=
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/leo" install


	mkdir -p "$(CURDIR)/debian/leo"


	#copy images
	mkdir -p "$(CURDIR)/debian/leo/opt/Leo/img/"
	cp -a "src/opt/Leo/img/leo.gif" "$(CURDIR)/debian/leo/opt/Leo/img/"
	cp -a "src/opt/Leo/img/leo_l.png" "$(CURDIR)/debian/leo/opt/Leo/img/"
	cp -a "src/opt/Leo/img/ende.gif" "$(CURDIR)/debian/leo/opt/Leo/img/"
	cp -a "src/opt/Leo/img/chde.gif" "$(CURDIR)/debian/leo/opt/Leo/img/"
	cp -a "src/opt/Leo/img/esde.gif" "$(CURDIR)/debian/leo/opt/Leo/img/"
	cp -a "src/opt/Leo/img/frde.gif" "$(CURDIR)/debian/leo/opt/Leo/img/"
	cp -a "src/opt/Leo/img/itde.gif" "$(CURDIR)/debian/leo/opt/Leo/img/"
	cp -a "src/opt/Leo/img/rude.gif" "$(CURDIR)/debian/leo/opt/Leo/img/"


	cp -a "src/opt/Leo/start.htm" "$(CURDIR)/debian/leo/opt/Leo/"


	cp -a "src/opt/Leo/data.py" "$(CURDIR)/debian/leo/opt/Leo/"
	cp -a "src/opt/Leo/main.py" "$(CURDIR)/debian/leo/opt/Leo/"
	cp -a "src/opt/Leo/qwebviewselectionsuppressor.py" "$(CURDIR)/debian/leo/opt/Leo/"
	cp -a "src/opt/Leo/Ui_StartWindow.py" "$(CURDIR)/debian/leo/opt/Leo/"


	cp -a "src/opt/Leo/version" "$(CURDIR)/debian/leo/opt/Leo/version"


	#icons
	mkdir -p "$(CURDIR)/debian/leo/usr/share/icons/hicolor/48x48/apps/"
	cp -a "src/usr/share/icons/hicolor/48x48/apps/Leo.png" "$(CURDIR)/debian/leo/usr/share/icons/hicolor/48x48/apps/"
	mkdir -p "$(CURDIR)/debian/leo/usr/share/icons/hicolor/40x40/apps/"
	cp -a "src/usr/share/icons/hicolor/40x40/apps/Leo.png" "$(CURDIR)/debian/leo/usr/share/icons/hicolor/40x40/apps/"
	mkdir -p "$(CURDIR)/debian/leo/usr/share/icons/hicolor/26x26/apps/"
	cp -a "src/usr/share/icons/hicolor/26x26/apps/Leo.png" "$(CURDIR)/debian/leo/usr/share/icons/hicolor/26x26/apps/"
	mkdir -p "$(CURDIR)/debian/leo/usr/share/icons/hicolor/scalable/apps/"
	cp -a "src/usr/share/icons/hicolor/scalable/apps/Leo.png" "$(CURDIR)/debian/leo/usr/share/icons/hicolor/scalable/apps/"


	#system files
	mkdir -p "$(CURDIR)/debian/leo/usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/leo.desktop" "$(CURDIR)/debian/leo/usr/share/applications/hildon/"
	mkdir -p "$(CURDIR)/debian/leo/usr/share/dbus-1/services/"
	cp -a "src/usr/share/dbus-1/services/leo.service" "$(CURDIR)/debian/leo/usr/share/dbus-1/services/"
	mkdir -p "$(CURDIR)/debian/leo/usr/bin/"
	cp -a "src/usr/bin/leo" "$(CURDIR)/debian/leo/usr/bin/"


	#compile python code, for start up speed improvements
# 	py_compilefiles $(CURDIR)/debian/leo/opt/Leo/*.py


	#set execution rights
	chmod +x $(CURDIR)/debian/leo/usr/bin/leo



	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
# 	dh_shlibdeps #disabled due errors in scratchbox. Autobuilder would handels it fine.
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## leo 1.0-11

=== debian/changelog ===
leo (1.0-11) unstable; urgency=low

  Added splash screen
  Fixed typo
  Rearranged menu

 -- George Ruinelli <george@ruinelli.ch>  Sun, 12 Dec 2010 21:24:43  +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: user/utilities
 Priority: extra
 Maintainer: George Ruinelli <george@ruinelli.ch>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), python-central
 Standards-Version: 3.7.2
 
 Package: leo
 Architecture: any
 Depends: python2.5, python2.5-qt4-common, python2.5-qt4-gui, python2.5-qt4-core, libqt4-webkit, python2.5-qt4-webkit
 Description: Leo is a web interface application for the free online dictionary service on dict.leo.org.
- The free online dictionary service on dict.leo.org currently provides the a translation service for the following languages:
+ The free online dictionary service on dict.leo.org currently provides a translation service for the following languages:
  - German <> English
  - German <> French
  - German <> Spanish
  - German <> Chinese
  - German <> Russian
+ This application is simply an interface to http://pda.leo.org.
 XSBC-Bugtracker: mailto:george@ruinelli.ch
 XSBC-Maemo-Display-Name: Leo
 XB-Maemo-Icon-26:

## leo 1.0-12

=== debian/changelog ===
leo (1.0-12) unstable; urgency=low

  Added splash screen
  Fixed typo
  Rearranged menu

 -- George Ruinelli <george@ruinelli.ch>  Sun, 12 Dec 2010 21:25:57  +0100

=== debian/rules ===
--- 
+++ 
@@ -73,6 +73,9 @@
 	cp -a "src/opt/Leo/version" "$(CURDIR)/debian/leo/opt/Leo/version"
 
 
+	cp -a  "src/opt/Leo/org.maemo.leo.pvr" "$(CURDIR)/debian/leo/opt/Leo/"
+
+
 	#icons
 	mkdir -p "$(CURDIR)/debian/leo/usr/share/icons/hicolor/48x48/apps/"
 	cp -a "src/usr/share/icons/hicolor/48x48/apps/Leo.png" "$(CURDIR)/debian/leo/usr/share/icons/hicolor/48x48/apps/"
@@ -93,8 +96,17 @@
 	cp -a "src/usr/bin/leo" "$(CURDIR)/debian/leo/usr/bin/"
 
 
+
+	#Correct access rights for splash screen
+	chown user:users $(CURDIR)/debian/leo/opt/Leo/org.maemo.leo.pvr
+
+	#Install splash screen
+	mkdir -p "$(CURDIR)/debian/leo/home/user/.cache/launch/"
+	cp -af "src/opt/Leo/org.maemo.leo.pvr" "$(CURDIR)/debian/leo/home/user/.cache/launch/"
+
+
 	#compile python code, for start up speed improvements
-# 	py_compilefiles $(CURDIR)/debian/leo/opt/Leo/*.py
+	py_compilefiles $(CURDIR)/debian/leo/opt/Leo/*.py
 
 
 	#set execution rights

## leo 6.8.4b1

=== debian/changelog ===
leo (6.8.4b1-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sun, 11 May 2025 11:31:32 +0200

=== debian/control ===
Source: leo
Maintainer: pavroo <pavroo@onet.eu>
Section: editors
Priority: optional
Build-Depends: python-setuptools (>= 33.1.1), python3 (>= 3.9), debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://leoeditor.com/

Package: leo
Architecture: all
Depends: python3 (>= 3.9), python3-pyqt6.qtsvg, python3-pyqt6.qtwebengine, python3-docutils, python3-enchant, python3-pygments, libxcb-cursor0
Description: Leonine Editor with Outlines
 Leo is a PIM, IDE and outliner written in 100% pure Python.
 Leo features a multi-window outlining editor, Python colorizing,
 powerful outline commands and many other things, including 
 unlimited Undo/Redo and an integrated Python shell(IDLE) window.
 Leo requires Python 2.6 or above. Leo works with Python 3.x
